Index: cpukit/libmisc/Makefile.am
===================================================================
--- cpukit/libmisc/Makefile.am	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/Makefile.am	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -79,5 +79,4 @@
 if LIBSHELL
 noinst_LIBRARIES += libshell.a
-libshell_a_CPPFLAGS = $(AM_CPPFLAGS) -I$(srcdir)/shell
 libshell_a_SOURCES = shell/cat_file.c shell/cmds.c shell/internal.h \
     shell/main_alias.c shell/main_cat.c shell/main_cd.c shell/cmp-ls.c \
Index: cpukit/libmisc/shell/cmp-ls.c
===================================================================
--- cpukit/libmisc/shell/cmp-ls.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/cmp-ls.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -51,5 +51,5 @@
 #include <sys/stat.h>
 
-#include <fts.h>
+#include "fts.h"
 #include <string.h>
 
Index: cpukit/libmisc/shell/dd-args.c
===================================================================
--- cpukit/libmisc/shell/dd-args.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/dd-args.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -46,5 +46,5 @@
 #include <sys/types.h>
 
-#include <err.h>
+#include "err.h"
 #include <errno.h>
 #include <inttypes.h>
Index: cpukit/libmisc/shell/dd-conv.c
===================================================================
--- cpukit/libmisc/shell/dd-conv.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/dd-conv.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -46,5 +46,5 @@
 #include <sys/param.h>
 
-#include <err.h>
+#include "err.h"
 #include <inttypes.h>
 #include <string.h>
Index: cpukit/libmisc/shell/dd-position.c
===================================================================
--- cpukit/libmisc/shell/dd-position.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/dd-position.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -49,5 +49,5 @@
 #endif
 
-#include <err.h>
+#include "err.h"
 #include <errno.h>
 #include <inttypes.h>
Index: cpukit/libmisc/shell/err.c
===================================================================
--- cpukit/libmisc/shell/err.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/err.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -47,5 +47,5 @@
 #endif /* LIBC_SCCS and not lint */
 
-#include <err.h>
+#include "err.h"
 #include <stdarg.h>
 
Index: cpukit/libmisc/shell/errx.c
===================================================================
--- cpukit/libmisc/shell/errx.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/errx.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -47,5 +47,5 @@
 #endif /* LIBC_SCCS and not lint */
 
-#include <err.h>
+#include "err.h"
 #include <stdarg.h>
 
Index: cpukit/libmisc/shell/fts.c
===================================================================
--- cpukit/libmisc/shell/fts.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/fts.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -58,5 +58,5 @@
 #include <errno.h>
 #include <fcntl.h>
-#include <fts.h>
+#include "fts.h"
 #include <stdlib.h>
 #include <stdint.h>
Index: cpukit/libmisc/shell/hexdump-display.c
===================================================================
--- cpukit/libmisc/shell/hexdump-display.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/hexdump-display.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -52,5 +52,5 @@
 
 #include <ctype.h>
-#include <err.h>
+#include "err.h"
 #include <errno.h>
 #include <stdio.h>
Index: cpukit/libmisc/shell/hexdump-odsyntax.c
===================================================================
--- cpukit/libmisc/shell/hexdump-odsyntax.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/hexdump-odsyntax.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -51,5 +51,5 @@
 
 #include <ctype.h>
-#include <err.h>
+#include "err.h"
 #include <errno.h>
 #include <float.h>
Index: cpukit/libmisc/shell/hexdump-parse.c
===================================================================
--- cpukit/libmisc/shell/hexdump-parse.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/hexdump-parse.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -46,5 +46,5 @@
 #include <sys/types.h>
 
-#include <err.h>
+#include "err.h"
 #include <fcntl.h>
 #include <stdio.h>
Index: cpukit/libmisc/shell/hexsyntax.c
===================================================================
--- cpukit/libmisc/shell/hexsyntax.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/hexsyntax.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -46,5 +46,5 @@
 #include <sys/types.h>
 
-#include <err.h>
+#include "err.h"
 #include <stdio.h>
 #include <stdlib.h>
Index: cpukit/libmisc/shell/main_cp.c
===================================================================
--- cpukit/libmisc/shell/main_cp.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/main_cp.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -76,7 +76,7 @@
 #include <sys/stat.h>
 
-#include <err.h>
+#include "err.h"
 #include <errno.h>
-#include <fts.h>
+#include "fts.h"
 #include <limits.h>
 #include <signal.h>
Index: cpukit/libmisc/shell/main_dd.c
===================================================================
--- cpukit/libmisc/shell/main_dd.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/main_dd.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -65,5 +65,5 @@
 
 #include <ctype.h>
-#include <err.h>
+#include "err.h"
 #include <errno.h>
 #include <fcntl.h>
Index: cpukit/libmisc/shell/main_ln.c
===================================================================
--- cpukit/libmisc/shell/main_ln.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/main_ln.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -59,5 +59,5 @@
 #include <sys/stat.h>
 
-#include <err.h>
+#include "err.h"
 #include <errno.h>
 #include <locale.h>
Index: cpukit/libmisc/shell/main_ls.c
===================================================================
--- cpukit/libmisc/shell/main_ls.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/main_ls.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -65,7 +65,7 @@
 
 #include <dirent.h>
-#include <err.h>
+#include "err.h"
 #include <errno.h>
-#include <fts.h>
+#include "fts.h"
 #include <locale.h>
 #include <stdio.h>
Index: cpukit/libmisc/shell/main_mknod.c
===================================================================
--- cpukit/libmisc/shell/main_mknod.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/main_mknod.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -61,5 +61,5 @@
 #endif
 
-#include <err.h>
+#include "err.h"
 #include <errno.h>
 #include <limits.h>
Index: cpukit/libmisc/shell/main_mv.c
===================================================================
--- cpukit/libmisc/shell/main_mv.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/main_mv.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -64,5 +64,5 @@
 #include <sys/stat.h>
 
-#include <err.h>
+#include "err.h"
 #include <errno.h>
 #include <fcntl.h>
Index: cpukit/libmisc/shell/main_ping.c
===================================================================
--- cpukit/libmisc/shell/main_ping.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/main_ping.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -85,5 +85,5 @@
 
 #include <ctype.h>
-//#include <err.h>
+//#include "err.h"
 #include <errno.h>
 #if !defined(__rtems__)
Index: cpukit/libmisc/shell/main_rm.c
===================================================================
--- cpukit/libmisc/shell/main_rm.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/main_rm.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -57,8 +57,8 @@
 #include <sys/param.h>
 
-#include <err.h>
+#include "err.h"
 #include <errno.h>
 #include <fcntl.h>
-#include <fts.h>
+#include "fts.h"
 #include <grp.h>
 #include <pwd.h>
Index: cpukit/libmisc/shell/print-ls.c
===================================================================
--- cpukit/libmisc/shell/print-ls.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/print-ls.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -56,7 +56,7 @@
 #include <sys/stat.h>
 
-#include <err.h>
+#include "err.h"
 #include <errno.h>
-#include <fts.h>
+#include "fts.h"
 #include <grp.h>
 #include <pwd.h>
Index: cpukit/libmisc/shell/utils-cp.c
===================================================================
--- cpukit/libmisc/shell/utils-cp.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/utils-cp.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -53,8 +53,8 @@
 #include <utime.h>
 
-#include <err.h>
+#include "err.h"
 #include <errno.h>
 #include <fcntl.h>
-#include <fts.h>
+#include "fts.h"
 #include <limits.h>
 #include <stdio.h>
Index: cpukit/libmisc/shell/utils-ls.c
===================================================================
--- cpukit/libmisc/shell/utils-ls.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/utils-ls.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -52,11 +52,11 @@
 
 #include <ctype.h>
-#include <err.h>
-#include <fts.h>
+#include "err.h"
+#include "fts.h"
 #include <limits.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
-#include <vis.h>
+#include "vis.h"
 
 #include "extern-ls.h"
Index: cpukit/libmisc/shell/verr.c
===================================================================
--- cpukit/libmisc/shell/verr.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/verr.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -47,5 +47,5 @@
 #endif /* LIBC_SCCS and not lint */
 
-#include <err.h>
+#include "err.h"
 #include <errno.h>
 #include <stdarg.h>
Index: cpukit/libmisc/shell/verrx.c
===================================================================
--- cpukit/libmisc/shell/verrx.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/verrx.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -47,5 +47,5 @@
 #endif /* LIBC_SCCS and not lint */
 
-#include <err.h>
+#include "err.h"
 #include <stdarg.h>
 #include <stdio.h>
Index: cpukit/libmisc/shell/vis.c
===================================================================
--- cpukit/libmisc/shell/vis.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/vis.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -78,5 +78,5 @@
 #include <sys/types.h>
 
-#include <vis.h>
+#include "vis.h"
 #include <stdlib.h>
 
Index: cpukit/libmisc/shell/vwarn.c
===================================================================
--- cpukit/libmisc/shell/vwarn.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/vwarn.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -47,5 +47,5 @@
 #endif /* LIBC_SCCS and not lint */
 
-#include <err.h>
+#include "err.h"
 #include <errno.h>
 #include <stdarg.h>
Index: cpukit/libmisc/shell/vwarnx.c
===================================================================
--- cpukit/libmisc/shell/vwarnx.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/vwarnx.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -47,5 +47,5 @@
 #endif /* LIBC_SCCS and not lint */
 
-#include <err.h>
+#include "err.h"
 #include <stdarg.h>
 #include <stdio.h>
Index: cpukit/libmisc/shell/warn.c
===================================================================
--- cpukit/libmisc/shell/warn.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/warn.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -47,5 +47,5 @@
 #endif /* LIBC_SCCS and not lint */
 
-#include <err.h>
+#include "err.h"
 #include <stdarg.h>
 
Index: cpukit/libmisc/shell/warnx.c
===================================================================
--- cpukit/libmisc/shell/warnx.c	(revision 2806e10dc1997a8d48231c9eaf1bbae62718ee25)
+++ cpukit/libmisc/shell/warnx.c	(revision 6cdaa850c8698b0949ebc393fc2e423762e85b94)
@@ -47,5 +47,5 @@
 #endif /* LIBC_SCCS and not lint */
 
-#include <err.h>
+#include "err.h"
 #include <stdarg.h>
 
